GETUID(2)

NAME
getuid, geteuid - get user identity

SYNOPSIS
#include <unistd.h>

uid_t getuid(void);
uid_t geteuid(void);

DESCRIPTION
getuid returns the real user ID of the current process. geteuid returns the effective user ID of the current process. The real ID corresponds to the ID of the calling process. The effective ID corresponds to the set ID bit on the file being executed.

ERRORS
These functions are always successful.

CONFORMS TO
POSIX, BSD 4.3

SEE ALSO
setreuid(2), setuid(2)